# cyclonedx.model.issue

## Classes

`IssueClassification` | This is our internal representation of the enum issueClassification.
`IssueTypeSource` | This is our internal representation ofa source within the IssueType complex type that can be used in multiple
`IssueType` | This is our internal representation of an IssueType complex type that can be used in multiple places within

## Module Contents

class cyclonedx.model.issue.IssueClassification

  Bases: `str`, `enum.Enum`

  This is our internal representation of the enum issueClassification.

  Note

  See the CycloneDX Schema definition: https://cyclonedx.org/docs/1.7/xml/#type_issueClassification

  DEFECT = 'defect'
  ENHANCEMENT = 'enhancement'
  SECURITY = 'security'

class cyclonedx.model.issue.IssueTypeSource(*, name: str | None = None, url: cyclonedx.model.XsUri | None = None)

  This is our internal representation ofa source within the IssueType complex type that can be used in multiple places within a CycloneDX BOM document.

  Note

  See the CycloneDX Schema definition: https://cyclonedx.org/docs/1.7/json/#components_items_pedigree_patches_items_resolves_items_source

  property name: str | None

    The name of the source. For example “National Vulnerability Database”, “NVD”, and “Apache”.

    Returns:

      str if set else None

  property url: cyclonedx.model.XsUri | None

    Optional url of the issue documentation as provided by the source.

    Returns:

      XsUri if set else None

class cyclonedx.model.issue.IssueType(*, type: IssueClassification, id: str | None = None, name: str | None = None, description: str | None = None, source: IssueTypeSource | None = None, references: collections.abc.Iterable[cyclonedx.model.XsUri] | None = None)

  This is our internal representation of an IssueType complex type that can be used in multiple places within a CycloneDX BOM document.

  Note

  See the CycloneDX Schema definition: https://cyclonedx.org/docs/1.7/xml/#type_issueType

  property type: IssueClassification

    Specifies the type of issue.

    Returns:

      IssueClassification

  property id: str | None

    The identifier of the issue assigned by the source of the issue.

    Returns:

      str if set else None

  property name: str | None

    The name of the issue.

    Returns:

      str if set else None

  property description: str | None

    A description of the issue.

    Returns:

      str if set else None

  property source: IssueTypeSource | None

    The source of this issue.

    Returns:

      IssueTypeSource if set else None

  property references: SortedSet[XsUri]

    Any reference URLs related to this issue.

    Returns:

      Set of XsUri